﻿body {
    font-family: 'IranSans' !important,'vazir';
    direction: rtl;
    text-align: right;
    font-weight: normal;
    color: rgb(16 16 16/var(--tw-text-opacity,1));
    padding-top: 70px;
    background: white !important;
    font-size: 1.3rem;
}

a {
    color: rgb(16 16 16/var(--tw-text-opacity,1));
}

    a:hover {
        color: #333;
    }

* {
    box-sizing: border-box;
    font-size: 1.3rem;
    outline: none;
    box-shadow: none;
    font-family: 'IranSans' !important,'vazir';
}

*, :after, :before {
    box-sizing: border-box;
    border: 0 solid;
}

.cursor-pointer {
    cursor: pointer;
}

.containersmall {
    width: 100%;
    max-width: 1366px;
    margin-left: auto;
    margin-right: auto;
    min-height: 100px;
    position: relative;
    background: white;
}

.btngradiant2 {
    border-radius: 9999px !important;
    color: #333;
    background-image: linear-gradient(268deg,#f4b942,#e4a72b);
    padding: 10px 20px;
    font-size: 1.5rem;
    display: inline-block
}

#btnlogin-register {
    margin-top: 5px;
    width: 150px;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
    text-align: center;
    float:left;
}

.search-content {
    background: #f5f5f7;
    border-radius: 15px;
    width: 100%;
    overflow: hidden;
    font-size: 1.4rem;
    padding: 5px 5px;
    flex-basis: 45%;
    margin-top: 5px;
    display: inline-block
}

#btnSearch {
    background: transparent;
}

#topHeaderlogo {
    height: 100px;
    margin-top: -48px;
}

.carticon {
    height: 35px;
    width: 35px;
    display: block;
    margin-right: 10px;
    float: left;
    margin-top: 12px;
   
}
.messageIcon {
    height: 35px;
    width: 35px;
    display: block;
    margin-right: 10px;
    float: left;
    margin-top: 12px;
    text-align:center;
   

}
.walletIcon {
    height: 3px;
    width: 22px;
    display: block;
    margin-left: 27px;
    float: left;
    margin-top: 5px;
    text-align: center;
}
    .walletIcon .count {
        background: #75256d;
        color: white;
        display: inline-block;
        padding: 3px 9px;
        border-radius: 13px;
        z-index: 2;
        float: left;
        margin-top: -30px;
        font-size: 1rem;
        margin-left: 36px;
        width: 145px;
        text-align: center;
        /* انیمیشن */
        opacity: 0;
        transform: translateY(20px) scale(.8);
        animation: walletBubble 8s infinite;
    }
/* انیمیشن حرفه‌ای‌تر */
@keyframes walletBubble {
    /* شروع مخفی */
    0% {
        opacity: 0;
        transform: translateY(25px) scale(.6);
    }
    /* پرش فنری */
    12% {
        opacity: 1;
        transform: translateY(-25px) scale(1.15);
    }
    /* برگشت نرم */
    18% {
        transform: translateY(-18px) scale(.95);
    }

    24% {
        transform: translateY(-22px) scale(1);
    }
    /* ماندن */
    45% {
        opacity: 1;
        transform: translateY(-22px);
    }
    /* لرزش جذاب */
    52% {
        transform: translateY(-22px) rotate(-3deg);
    }

    56% {
        transform: translateY(-22px) rotate(3deg);
    }

    60% {
        transform: translateY(-22px) rotate(-2deg);
    }

    64% {
        transform: translateY(-22px) rotate(0);
    }
    /* چرخش خروج */
    75% {
        transform: translateY(-30px) rotate(360deg) scale(.8);
        opacity: .7;
    }
    /* محو شدن */
    90% {
        opacity: 0;
        transform: translateY(-40px) scale(.5);
    }

    100% {
        opacity: 0;
    }
}


    .messageIcon text {
        color:#46083f;
        text-align:center;
        font-size:10px !important;
    }
    .carticon svg {
        vertical-align: middle;
    }

.searchiconsvg svg {
    height: 35px;
    width: 35px;
    vertical-align: middle;
    padding: 5px 0 0 0;
}

.search-content div {
    display: inline-block;
}

.search-content, .search-content .Panel1 {
    width: 100% !important;
}

#txtSearch {
    font-size: 1.4rem !important;
    background: transparent;
    width: 80%;
}

input::placeholder {
    color: #aaa;
}

.row_menu_phone {
    margin-top: 30px;
    margin-bottom: 50px;
}

#rightboxcontainer {
    text-align: left;
}

#baseMenu {
    list-style: none;
    padding-top: 10px;
}

    #baseMenu li {
        float: right;
    }

        #baseMenu li a {
            padding: 5px 10px;
            margin-left: 25px;
            font-size: 1.4rem;
        }

.ringing {
    display: inline-block;
    font-size: 24px;
    color: #75256d;
    vertical-align: middle;
    cursor: pointer;
    animation: ring 1s infinite;
    transition: color 0.3s, transform 0.2s;
}


@keyframes ring {
    0% {
        transform: rotate(0deg) scale(1);
    }

    10% {
        transform: rotate(15deg) scale(1.1);
    }

    20% {
        transform: rotate(-10deg) scale(1.1);
    }

    30% {
        transform: rotate(15deg) scale(1.1);
    }

    40% {
        transform: rotate(-10deg) scale(1.1);
    }

    50% {
        transform: rotate(15deg) scale(1.1);
    }

    60% {
        transform: rotate(-10deg) scale(1.1);
    }

    70% {
        transform: rotate(10deg) scale(1.05);
    }

    80% {
        transform: rotate(-5deg) scale(1.05);
    }

    90% {
        transform: rotate(5deg) scale(1.05);
    }

    100% {
        transform: rotate(0deg) scale(1);
    }
}

.ringing:hover {
    color: #f4b942;
}

.ringing:active {
    transform: scale(1.2);
}

.carousel-banner1 .carousel-cell {
    width: 100%;
    height: 455px;
    display: flex;
    align-items: center;
    justify-content: center;
    border-radius: 15px;
    padding: 0px 0;
}

.carousel-cell img {
    border-radius: 15px;
    height: 455px;
}

.carousel-banner1 .flickity-page-dots {
    bottom: 20px;
}

.dot {
    background: #333;
    opacity: 0.6 !important;
}

    .dot.is-selected {
        background: white;
        width: 25px;
        border-radius: 12px;
    }

.row_sliders {
    margin-bottom: 50px;
}

.row_cat_underSlider {
    margin-bottom: 40px;
}

.boxcontainer {
    text-align: center;
}

    .boxcontainer span {
        display: block;
        padding-top: 10px;
    }
/* سایدبار فیکس کنار کانتینر */
.sidebar {
    position: fixed;
    top: 150px;
    left: 50%; /* وسط صفحه */
    transform: translateX(683px); /* نصف max-width کانتینر */
    background: #f5f5f7;
    padding: 10px 5px;
    margin-left: 20px;
    z-index: 1000;
    opacity: 0.8;
    border-radius: 0px 5px 5px 0;
    text-align: center;
}

    .sidebar:hover {
        opacity: 1;
        transition: linear;
    }

    .sidebar i {
        font-size: 30px;
        color: #6d5376;
    }

    .sidebar img {
        width: 35px;
        vertical-align: middle;
        margin-left: 10px;
    }

    .sidebar ul {
        list-style: none;
        margin: 0;
        padding: 0;
    }

    .sidebar li {
        margin: 15px 0;
        position: relative;
    }

    /* آیکون */
    .sidebar a {
        display: flex;
        justify-content: flex-end;
        align-items: center;
        width: 50px;
        height: 50px;
        color: #f5f5f7;
        text-decoration: none;
        position: relative;
        overflow: visible;
        transition: background 0.3s;
    }

        .sidebar a:hover {
            background: #75256d;
            color: white;
        }

            .sidebar a:hover i {
                color: white;
            }

            .sidebar a:hover img {
                filter: brightness(0) invert(1);
            }
/* نوار slide-in سمت چپ */
.slide-text {
    position: absolute;
    right: 100%; /* سمت چپ آیکون */
    top: 0;
    height: 100%;
    background: #f6f2f7;
    color: #fff;
    display: flex;
    align-items: center;
    white-space: nowrap;
    padding: 0 10px;
    width: 0; /* بسته */
    opacity: 0;
    overflow: hidden;
    box-shadow: -2px 0 5px rgba(0,0,0,0.3);
    border-radius: 6px 0 0 6px;
    transition: width 0.3s ease, opacity 0.3s ease, padding 0.3s ease;
}

/* وقتی موس روی آیکون رفت */
.sidebar li:hover .slide-text {
    width: 150px; /* به اندازه متن */
    opacity: 1;
    padding-left: 10px;
    padding-right: 10px;
    height: 50px;
    background: #75256d;
    color: white;
}

.sidebar .fa-menu {
    font-size: 22px;
    color: #333;
}


.homebox {
    display: flex;
    flex-direction: column;
    gap: 1.5rem;
    background: linear-gradient( to bottom, #75256d 0px, #75256d 250px, #ffffff 250px, #ffffff 100% );
    border-radius: 15px;
    background-size: 100px;
    height: 565px;
    padding: 20px 15px;
    margin: 0 15px;
}

.HomeFlashsaleContainer {
}

.boxMarginBottom {
    margin-bottom: 50px;
    display: block;
}

.HomeMenuRouz, .HomeBestSeller {
    background: linear-gradient( to bottom, #f6f3f7 0px, #f6f3f7 250px, #ffffff 250px, #ffffff 100% );
}

.header_box {
    font-size: 1.8rem;
    display: inline-block;
    color: #333;
}

.homebox .header_box {
    font-size: 1.8rem;
    display: inline-block;
    color: #eaeaea;
}

.HomeBestSeller .header_box, .HomeMenuRouz .header_box {
    color: #333;
}

.icon-box {
    height: 35px;
    margin-left: 10px;
    vertical-align: top;
}

.headercontainer span {
    display: inline-block;
    padding-top: 8px;
}

.endFlashSalesContainer {
    margin-left: 10px;
    padding: 10px 20px 0 20px;
    background: #46083f;
    display: block;
    float: left;
    margin-left: 20px;
    border-radius: 5px;
    height: 50px;
}

.spanUntil {
    display: block;
    padding-left: 20px;
    border-left: solid 1px #75256d;
    color: white;
    float: right;
}

.endFlashSalesContainer .fa-clock {
}

.showAllbtn {
    border-radius: 5px !important;
}

.special-offer-timer {
    padding: 0px !important;
    width: 180px;
    color: white !important;
    margin-top: -10px;
}

.time-part {
    color: white;
    font-size: 1.4rem;
}


.product-price {
    text-align: center;
    border: solid 1px #f4b942;
    border-radius: 12px;
    padding: 5px 20px !important;
    display: inline-block;
    line-height: 30px !important;
    overflow: hidden;
    height: 50px !important;
}

.product-box {
    border-radius: 15px;
}

.product-img-box {
    height: 300px;
    background-size: cover;
    background-position: center
}

.product-box {
    height: 450px;
}

.product-price:hover {
    background-image: linear-gradient(268deg,#f4b942,#e4a72b);
    cursor: auto;
}

.product-box .off {
    border-radius: 15px !important;
    padding: 5px;
    background: #0d4f3c;
    transform: none !important;
    font-size: 1.4rem !important;
}

.product-old-price {
    text-align: center !important;
    cursor: pointer;
}


.news-box {
    border-radius: 15px;
    border-color: rgb(237 237 237/var(--tw-border-opacity,1));
}

.news-headline {
    height: 50px;
}

.hrclass {
    width: 100%;
    height: 1px;
    background: rgb(237 237 237/var(--tw-border-opacity,1));
    margin: 25px 0 40px;
}

.carousel-article .flickity-prev-next-button.next,
.carousel-article .flickity-prev-next-button.previous {
    border-radius: 40px !important;
    width: 40px !important;
    height: 40px !important;
    background-color: #f6f3f7 !important;
    color: #fff !important;
    display: flex !important;
    align-items: center !important;
    justify-content: center !important;
}
.carousel-banner_Products .flickity-prev-next-button.next,
.carousel-banner_Products .flickity-prev-next-button.previous {
    border-radius: 40px !important;
    width: 40px !important;
    height: 40px !important;
    background-color: #f6f3f7 !important;
    color: #fff !important;
    display: flex !important;
    align-items: center !important;
    justify-content: center !important;
}
.social_links {
    padding-top: 0px;
    text-align: left;
}

#copyrighDiv {
    margin-top: 20px;
    background: #f7f7f9;
    color: #333;
    border-top: 1px solid #edecec;
    padding: 20px 15px 60px;
}

#main_body {
    margin-top: -35px;
}

.go-top i {
    background: #46083f;
}

.drpAfterLogin {
    display: inline-block;
    float:left;
}

    .drpAfterLogin ul {
        background: #f7f7f9;
        right: -83px !important;
        position: absolute;
        border-radius: 15px;
        padding: 0px;
    }

    .drpAfterLogin li a {
        border-radius: 15px;
        display: block;
        width: 100%;
        text-align: center;
        padding: 15px 0;
    }

        .drpAfterLogin li a:hover {
            background: #8a7591;
            color: white !important;
        }

.price-slider-box .btn {
    background: #75256d;
    border: 0px;
    color:white;
    border-radius:10px;
}

.pagination-box li.active a, .pagination-box li.active span {
    background-color: #e4a72b;
}

.pnl-tabs .nav-tabs li.active a, .pnl-tabs .nav-tabs li.active a:hover, .pnl-tabs .nav-tabs li.active a:focus {
    border-top: solid 4px #46083f;
}

.btn-success {
    color: #fff;
    background-color: #46083f;
    border-color: #46083f;
}

    .btn-success:hover {
        color: #fff;
        background-color: #75256d;
        border-color: #75256d;
    }

.gridPager td span {
    background-color: #75256d;
}

.profile-tabs li.active a, .profile-tabs li.active a:active, .profile-tabs li.active a:focus, .profile-tabs li.active a:hover {
    color: #46083f;
    border-bottom: 2px solid #46083f;
}

.btn-next {
    background: #f4b942 !important;
    color: #333 !important;
    border: none;
    padding: 10px 20px;
}

    .btn-next:hover {
        background: #e4a72b !important;
        color: #333;
    }


.btn-danger.btn-next {
    background: #46083f !important;
    color: white !important;
}

.btn-info {
    background: #f4b942;
    color: #333;
    border: none;
}

    .btn-info:hover {
        background: #e4a72b;
        color: #333;
    }

.btn-login-box:after {
    background: rgba(70, 8, 63, .2);
}

.btn-login-box {
    background: #46083f
}

.btn-danger.btn-next:hover {
    background: #75256d !important;
}

.bs-wizard > .bs-wizard-step > .bs-wizard-dot {
    background: #e8ab30;
    color: #333 !important;
}

.bs-wizard > .bs-wizard-step > .progress > .progress-bar {
    background: #e8ab30;
}

.cart-message {
    background: #75256d;
    color: white;
}

.payable {
    background: #f7f7f9;
    color: #333;
}

.box_header h4 {
    border-bottom: 3px solid #e8ab30;
}

@media (max-width:768px) {
    .carousel-banner1 .carousel-cell {
        width: 100%;
        height: 255px;
    }

    .carousel-cell img {
        border-radius: 0;
        height: 255px;
    }

    .row_base_header {
        text-align: center;
        padding-bottom: 20px;
    }

    .row_menu_phone {
        position: absolute;
        top: -90px;
        left: -10px;
    }
}

.sidebar1 {
    display: none;
}

#page-loader {
    position: fixed;
    inset: 0;
    z-index: 99999;
    /*  pointer-events: none;*/
}

    #page-loader:not(.active) {
        pointer-events: none;
    }

    #page-loader.active {
        pointer-events: all;
    }
/* لایه بالا */
.loader-top,
.loader-bottom {
    position: absolute;
    left: 0;
    width: 100%;
    height: 50%;
    background: rgba(70, 8, 63, 0.4);
    transition: transform 0.6s ease;
}

.no-scroll {
    overflow: hidden;
    height: 100vh;
}

.loader-top {
    top: -50%;
    transform: translateY(-100%);
}

.loader-bottom {
    bottom: -50%;
    transform: translateY(100%);
}

.loader-blur {
    display: none;
    position: absolute;
    inset: 0;
    backdrop-filter: blur(10px);
    -webkit-backdrop-filter: blur(10px);
    pointer-events: none;
}

#page-loader.active .loader-blur {
    display: block;
}
/* وقتی فعال میشه */
#page-loader.active .loader-top {
    transform: translateY(100%);
}

#page-loader.active .loader-bottom {
    transform: translateY(-100%);
}

/* وسط */
.loader-center {
    position: absolute;
    inset: 0;
    display: flex;
    align-items: center;
    justify-content: center;
    opacity: 0;
    transition: opacity 0.3s ease 0.4s;
}

#page-loader.active .loader-center {
    opacity: 1;
}

.loader-center img {
    width: 220px;
    animation: pulse 1.3s infinite ease-in-out;
    display: none;
}

#page-loader.active .loader-center img {
    display: block;
}

@keyframes pulse {
    0%, 100% {
        transform: scale(1);
        opacity: .8;
    }

    50% {
        transform: scale(1.1);
        opacity: 1;
    }
}

@media (max-width:1440px) {
    #baseMenu {
        margin-right: 203px;
    }

    .sidebar1 {
        position: absolute;
        right: 20px;
        top: -5px;
        display: block;
        padding: 10px 5px;
        margin-left: 20px;
        z-index: 1000;
        opacity: 0.8;
        border-radius: 0px 5px 5px 0;
        text-align: right;
    }

        .sidebar1 li {
            width: 100px;
            float: right;
            width: 100px;
            display: block;
            clear: both;
        }

        .sidebar1:hover {
            opacity: 1;
            transition: linear;
        }

        .sidebar1 i {
            font-size: 30px;
            color: #6d5376;
        }

    .sidebar a:hover img {
        filter: brightness(0) invert(1);
    }

    .sidebar1 ul {
        list-style: none;
        margin: 0;
        padding: 0;
    }

    .sidebar1 li {
        margin: 15px 0;
        position: relative;
    }
    /* آیکون */
    .sidebar1 a {
        display: flex;
        justify-content: flex-end;
        align-items: center;
        width: 50px;
        height: 50px;
        color: #f5f5f7;
        text-decoration: none;
        position: relative;
        overflow: visible;
        transition: background 0.3s;
    }

        .sidebar1 a:hover {
            background: #75256d;
            color: white;
        }

            .sidebar1 a:hover i {
                color: white;
            }

            .sidebar1 a:hover img {
                filter: brightness(0) invert(1);
            }

    .sidebar img {
        width: 35px;
        vertical-align: middle;
        margin-left: 10px;
    }
    /* نوار slide-in سمت چپ */
    .sidebar1 .slide-text {
        position: absolute;
        right: 100%; /* سمت چپ آیکون */
        top: 0;
        height: 100%;
        background: #f6f2f7;
        color: #fff;
        display: flex;
        align-items: center;
        white-space: nowrap;
        padding: 0 10px;
        width: 0; /* بسته */
        opacity: 0;
        overflow: hidden;
        box-shadow: -2px 0 5px rgba(0,0,0,0.3);
        border-radius: 6px 0 0 6px;
        transition: width 0.3s ease, opacity 0.3s ease, padding 0.3s ease;
    }
    /* وقتی موس روی آیکون رفت */
    .sidebar1 li:hover .slide-text {
        width: 150px; /* به اندازه متن */
        opacity: 1;
        padding-left: 10px;
        padding-right: 10px;
        height: 50px;
        background: #75256d;
        color: white;
    }

    .sidebar1 .fa-menu {
        font-size: 22px;
        color: #333;
    }

    .sidebar1 ul {
        margin-right: 20px;
    }

        .sidebar1 ul li {
            margin: 0px;
        }

            .sidebar1 ul li a {
                background: #f7f7f9;
                padding-right: 0px;
                color: white;
                text-align: center;
            }
}

.product-price {
    cursor: pointer !important;
}

.boxcontainer img {
    height: 203px;
    width: 100%;
    border-radius: 12px;
}

.news-headline h4 {
    padding: 0px 15px;
}

#basketCount {
    background: #75256d;
    color: white;
    display: inline-block;
    padding: 3px 9px;
    border-radius: 13px;
    z-index: 2;
    float: left;
    margin-top: -46px;
    font-size: .875rem;
    margin-left: 20px;
}

.signup-content {
    border-radius: 15px;
}

.btn-reg-box {
    background: #75256d;
}

.row {
    margin-left: 0px;
    margin-right: 0px;
}

.percent {
    font-size: 30px;
    font-weight: bold;
    color: #fff;
    display: block;
    clear: both;
    margin-top: -66px;
    position: absolute;
    margin-right: 85px;
}

@keyframes bell {
    0% {
        transform: rotate(0);
    }

    25% {
        transform: rotate(15deg);
    }

    50% {
        transform: rotate(-15deg);
    }

    75% {
        transform: rotate(10deg);
    }

    100% {
        transform: rotate(0);
    }
}

.icon-box {
    transform-origin: top center;
}

    .icon-box:hover {
        animation: bell 0.6s ease-in-out infinite;
    }

.sendtime-box header {
    background: #e8ab30;
    color: #333;
}

.shipping-box header h4 {
    border-bottom: 3px solid #46083f;
}

.address-box.selected {
    border: 2px solid #46083f;
}

    .address-box.selected .address-header i {
        color: #46083f;
    }

.address-add-box {
    border: 2px dashed #46083f;
    color: #e8ab30;
}

.box-header h4:after {
    background-image: url(/Uploads/Template/Logo.png);
}
.post-lead {
    border-right: 3px solid #75256d;
}
h1,h2 {
    padding:0 0 20px 0 ;
    font-size:1.6rem;
}
.social_links img {
    width: 55px;
    padding: 0 5px;
}

/*#headerContainer {
    position: sticky;
    top: 0;
    right: 0;
    width: 100%;
    background: white;
    z-index: 9999;
}
*/